#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	bdftopcf
Version		:	1.1
Release		:	14.4.0.0%{?dist}
Summary		:	Convert X font from BDF to PCF
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://gitlab.freedesktop.org/xorg/util/bdftopcf/tags

Source0		:	%{name}-%{version}.tar.xz

# Generate source by doing:
# git clone git://anongit.freedesktop.org/xorg/app/bdftopcf
# cd bdftopcf
# git archive --format=tar --prefix=bdftopcf-1.1/ bdftopcf-1.1 | gzip > bdftopcf-1.1.tar.gz


#-----------------------------------------------------------------------------
BuildRequires	:	xorg-util-macros
#-----------------------------------------------------------------------------
%description
bdftopcf is a font compiler for the X server and font server.  Fonts
in Portable Compiled Format can be read by any architecture, although
the file is structured to allow one particular architecture to read
them directly without reformatting.  This allows fast reading on the
appropriate machine, but the files are still portable (but read more
slowly) on other machines

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-xkb-rules-symlink=xorg			\


%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
  
	

%files			
%defattr(-,root,root,-)

%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/*.1.gz

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
